%def_disable static
%set_automake_version 1.4
#%%add_findprov_lib_path %_libdir/pkcs11

Name: opensc
Version: 0.8.1
Release: alt2.1

Group: System/Configuration/Hardware
Summary: OpenSC library - for accessing SmartCard devices using PC/SC Lite
Summary(pl):	Biblioteka OpenSC - do korzystania z kart procesorowych przy uyciu PC/SC Lite
Url: http://www.opensc.org/
License: LGPL

Requires: lib%name = %version-%release

# http://www.opensc.org/files/%name-%version.tar.gz
Source0: %name-%version.tar.bz2

Patch0: opensc-0.8.1-alt-nolibs.patch
Patch1: opensc-0.8.1-alt-xp_unix.patch
# PLD
Patch2:	%{name}-libdir.patch
Patch3:	%{name}-shared-ssl.patch

# Automatically added by buildreq on Tue Apr 06 2004 (-bi)
#BuildRequires: XFree86-devel flex gcc-c++ gcc-g77 libassuan-devel libldap-devel libopenct-devel libpam-devel libpcsclite-devel libreadline-devel libssl-devel libstdc++-devel
BuildRequires: XFree86-devel flex gcc-c++ gcc-g77 automake_1.4
BuildRequires: libassuan-devel libldap-devel libopenct-devel libpam-devel
BuildRequires: libpcsclite-devel libreadline-devel libssl-devel libstdc++-devel

%package -n lib%name
Group: System/Libraries
Summary: OpenSC library - for accessing SmartCard devices using PC/SC Lite
Summary(pl):	Biblioteka OpenSC - do korzystania z kart procesorowych przy uyciu PC/SC Lite

%package -n lib%name-devel
Group: Development/Other
Summary: OpenSC development files
Summary(pl):	Pliki dla programistw uywajcych OpenSC
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Group: Development/Other
Summary: Static OpenSC libraries
Summary(pl):	Bibloteki statyczne OpenSC
Requires: lib%name-devel = %version-%release

%package -n pam_opensc
Group: System/Base
Summary: OpenSC module for PAM
Summary(pl):	Modu PAM OpenSC
License: GPL
Requires: lib%name = %version-%release

%description
libopensc is a library for accessing SmartCard devices using PC/SC
Lite middleware package. It is also the core library of the OpenSC
project. Basic functionality (e.g. SELECT FILE, READ BINARY) should
work on any ISO 7816-4 compatible SmartCard. Encryption and decryption
using private keys on the SmartCard is at the moment possible only
with PKCS#15 compatible cards, such as the FINEID (Finnish Electronic
IDentity) card manufactured by Setec.

%description -l pl
libopensc to biblioteka do korzystania z kart procesorowych przy
uyciu pakietu warstwy poredniej PC/SC Lite. Jest to take podstawowa
biblioteka projektu OpenSC. Podstawowa funkcjonalno (np. SELECT
FILE, READ BINARY) powinna dziaa take z dowoln kart procesorow
zgodn z ISO-7816-4. Szyfrowanie i odszyfrowywanie przy uyciu
prywatnych kluczy na karcie na razie jest moliwe tylko przy uyciu
kart kompatybilnych z PKCS#16, takich jak FINEID (Finnish Electronic
IDentity) produkowanych przez Setec.

%description -n lib%name
libopensc is a library for accessing SmartCard devices using PC/SC
Lite middleware package. It is also the core library of the OpenSC
project. Basic functionality (e.g. SELECT FILE, READ BINARY) should
work on any ISO 7816-4 compatible SmartCard. Encryption and decryption
using private keys on the SmartCard is at the moment possible only
with PKCS#15 compatible cards, such as the FINEID (Finnish Electronic
IDentity) card manufactured by Setec.

%description -n lib%name -l pl
libopensc to biblioteka do korzystania z kart procesorowych przy
uyciu pakietu warstwy poredniej PC/SC Lite. Jest to take podstawowa
biblioteka projektu OpenSC. Podstawowa funkcjonalno (np. SELECT
FILE, READ BINARY) powinna dziaa take z dowoln kart procesorow
zgodn z ISO-7816-4. Szyfrowanie i odszyfrowywanie przy uyciu
prywatnych kluczy na karcie na razie jest moliwe tylko przy uyciu
kart kompatybilnych z PKCS#16, takich jak FINEID (Finnish Electronic
IDentity) produkowanych przez Setec.

%description -n lib%name-devel
OpenSC development files.

%description -n lib%name-devel -l pl
Pliki dla programistw uywajcych OpenSC.

%description -n lib%name-devel-static
Static OpenSC libraries.

%description -n lib%name-devel-static -l pl
Statyczne biblioteki OpenSC.

%description -n pam_opensc
OpenSC module for PAM.

%description -n pam_opensc -l pl
Modu PAM OpenSC.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

ln -sf ../../scconf/scconf.h src/include/opensc
ln -sf ./npinclude/npunix.c src/signer

%__libtoolize --copy --force
%__aclocal
%__autoconf
%__automake


%build
%add_optflags %optflags_shared -I../../src/signer/npinclude
export CFLAGS="%optflags"
#    --enable-static \
%configure \
    --enable-shared \
    --with-pin-entry=%_bindir/pinentry \
    --with-pam \
    --enable-usbtoken \
    --enable-openct \
    --enable-assuan \
    --enable-ldap \
    --with-plugin-dir=/usr/lib/mozilla/plugins

%make_build -C src/scconf libscconf.la    
%make_build -C src/scldap libscldap.la
%make_build

%install
%__make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p %buildroot/%_sysconfdir/
install -m 640 etc/opensc.conf.example %buildroot/%_sysconfdir/opensc.conf
install -m 640 etc/scldap.conf.example %buildroot/%_sysconfdir/scldap.conf

install -d $RPM_BUILD_ROOT/lib
mv -f $RPM_BUILD_ROOT%_libdir/security $RPM_BUILD_ROOT/lib

# libscam.a is broken (contains libscrandom.a) and not needed (static module)
# rm -f $RPM_BUILD_ROOT%_libdir/libscam.{a,la}

%post -n lib%name
%post_ldconfig
%postun -n lib%name
%postun_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README* docs/pkcs-15v1_1.asn CodingStyle
%doc %_mandir/*/*
%doc etc/*example*
%config(noreplace) %_sysconfdir/opensc.conf
%config(noreplace) %_sysconfdir/scldap.conf
%_bindir/cryptoflex-tool
%_bindir/opensc-explorer
%_bindir/opensc-tool
%_bindir/pkcs15-*
%_bindir/cardos-info
%_bindir/pkcs11-tool
%_sbindir/usbtoken

%files -n lib%name
%doc AUTHORS ChangeLog NEWS README* docs/pkcs-15v1_1.asn CodingStyle
%doc etc/*.example
%_libdir/lib*.so.*
%_libdir/libscam.so
%dir %_libdir/pkcs11
%_libdir/pkcs11/*.so*
%_libdir/opensc/*.so*
%dir %_datadir/opensc
%_datadir/opensc/*.profile

%files -n lib%name-devel
%_libdir/pkgconfig/libopensc.pc
%_bindir/opensc-config
%_libdir/libopensc.so
%_libdir/libpkcs11.so
%_libdir/libpkcs15init.so
%_libdir/libscconf.so
%_libdir/libscldap.so
#%_libdir/libscrandom.a
%_libdir/libscam.a
#%_libdir/libopensc.la
#%_libdir/libpkcs15init.la
#%_libdir/libscconf.la
#%_libdir/libscldap.la
%_includedir/opensc

%if_enabled static
%files -n lib%name-devel-static
%_libdir/libopensc.a
%_libdir/libpkcs15init.a
%_libdir/libscconf.a
%_libdir/libscldap.a
%endif

%files -n pam_opensc
/lib/security/pam_opensc.so

%changelog
* Tue May 11 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.8.1-alt2.1
- Rebuilt with openssl-0.9.7d.

* Tue Apr 06 2004 Sergey V Turchin <zerg at altlinux dot org> 0.8.1-alt2
- add patches from PLD

* Mon Nov 24 2003 Sergey V Turchin <zerg at altlinux dot org> 0.8.1-alt1
- new version
- compile without text relocations

* Mon Sep 29 2003 Sergey V Turchin <zerg at altlinux dot org> 0.7.0-alt1
- build for ALT

* Wed Mar 12 2003 PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: opensc.spec,v $
Revision 1.7  2003/03/12 11:13:58  qboosh
- nest support

Revision 1.6  2003/03/11 18:08:25  wiget
- remove libtools macros from acinclude.m4

Revision 1.5  2003/03/11 17:08:19  qboosh
- added fix for SEGV

Revision 1.4  2003/03/11 13:12:19  qboosh
- added nolibs patch - -lresolv is not necessary

Revision 1.3  2003/03/10 20:22:49  qboosh
- ac >= 2.52

Revision 1.2  2003/03/10 16:10:29  qboosh
- some work - builds now

Revision 1.1  2002/12/18 22:34:06  hunter
-NYF!
